# OfferOverride

This type is derived from <https://schema.org/Offer>, which means that any of this type's properties within schema.org may also be used. Note however the properties on this page must be used in preference if a relevant property is available.

## **Properties**

### **Optional properties**

| Property                   | Expected Type                                                                                                                                                                                                                                                                                                                                                                                | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| -------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| @type                      | [`Text`](https://schema.org/Text)                                                                                                                                                                                                                                                                                                                                                            | Must always be present and set to `"@type": "OfferOverride"`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| @id                        | [`URL`](https://schema.org/URL)                                                                                                                                                                                                                                                                                                                                                              | <p>A unique URI-based identifier for the record.</p><p><code>@id</code> properties are used as identifiers for compatibility with JSON-LD. The value of such a property must always be an absolute URI that provides a stable globally unique identifier for the resource, as described in <a href="https://tools.ietf.org/html/rfc3986">RFC3986</a>.</p><p>The primary purpose of the URI format in this context is to provide natural namespacing for the identifier. Hence, the URI itself may not resolve to a valid endpoint, but must use a domain name controlled by the resource owner (the organisation responsible for the OpenActive open data feed).</p><p><br>Example</p><p><code>"@id": "<https://api.example.com/session-series/12345#/offers/2>"</code></p> |
| acceptedPaymentMethod      | Array of [`PaymentMethod`](http://purl.org/goodrelations/v1#PaymentMethod)                                                                                                                                                                                                                                                                                                                   | <p>Indicates the offline payment methods accepted by this provider.</p><p><br>Example</p><p><code>"acceptedPaymentMethod": \[</code><br>  <code>"<http://purl.org/goodrelations/v1#Cash>",</code><br>  <code>"<http://purl.org/goodrelations/v1#PaymentMethodCreditCard>"</code><br><code>]</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| description                | [`Text`](https://schema.org/Text)                                                                                                                                                                                                                                                                                                                                                            | <p>A plain text description of the Offer, which must not include HTML or other markup.</p><p><br>Example</p><p><code>"description": "Concession requirements are available at <https://www.fusion-lifestyle.com/>. Proof of entitlement to concession membership must be provided when you visit the centre."</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| identifier                 | <p><a href="https://schema.org/Text"><code>Text</code></a><br>- or -<br><a href="https://developer.openactive.io/data-model/types/propertyvalue"><code>PropertyValue</code></a><br>- or -<br>Array of <a href="https://developer.openactive.io/data-model/types/propertyvalue"><code>PropertyValue</code></a><br>- or -<br><a href="https://schema.org/Integer"><code>Integer</code></a></p> | <p>A local non-URI identifier for the resource</p><p><br>Example</p><p><code>"identifier": "SB1234"</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| name                       | [`Text`](https://schema.org/Text)                                                                                                                                                                                                                                                                                                                                                            | <p>The name of the Offer suitable for communication to participants.</p><p><br>Example</p><p><code>"name": "Speedball winger position"</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| openBookingFlowRequirement | Array of [`OpenBookingFlowRequirement`](https://openactive.io/OpenBookingFlowRequirement)                                                                                                                                                                                                                                                                                                    | Can include <https://openactive.io/OpenBookingIntakeForm>, <https://openactive.io/OpenBookingAttendeeDetails>, <https://openactive.io/OpenBookingApproval>, <https://openactive.io/OpenBookingNegotiation>, <https://openactive.io/OpenBookingMessageExchange>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| price                      | [`Number`](https://schema.org/Number)                                                                                                                                                                                                                                                                                                                                                        | <p>The offer price of the activity.</p><p>This price should be specified without currency symbols and as a floating point number with two decimal places.</p><p>The currency of the price should be expressed in the priceCurrency field.</p><p>Includes or excludes tax depending on the taxMode of the seller.</p><p><br>Example</p><p><code>"price": 33</code></p>                                                                                                                                                                                                                                                                                                                                                                                                       |
| priceCurrency              | [`Text`](https://schema.org/Text)                                                                                                                                                                                                                                                                                                                                                            | <p>The currency of the price. Specified as a 3-letter ISO 4217 value. If an Offer has a zero price, then this property is not required. Otherwise the priceCurrency must be specified.</p><p><br>Example</p><p><code>"priceCurrency": "GBP"</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| url                        | [`URL`](https://schema.org/URL)                                                                                                                                                                                                                                                                                                                                                              | <p>URL describing the offer</p><p><br>Example</p><p><code>"url": "<http://www.rphs.org.uk/>"</code></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |

### **Beta Extension properties**

These properties are defined in the [OpenActive Beta Extension](https://openactive.io/ns-beta). The OpenActive Beta Extension is defined as a convenience to help document properties that are in active testing and review by the community. Publishers should not assume that properties in the beta namespace will either be added to the core specification or be included in the namespace over the long term.

| Property       | Expected Type                                               | Description                                                                                                                                                       |
| -------------- | ----------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| beta:partySize | [`QuantitativeValue`](https://schema.org/QuantitativeValue) | <p><a href="https://github.com/openactive/modelling-opportunity-data/issues/250">Proposal #250</a></p><p>Number of people the reservation should accommodate.</p> |

Except as otherwise noted, the content of this page is licensed under the [Creative Commons Attribution License (CC-BY V4.0)](https://creativecommons.org/licenses/by/4.0/), and code samples are licensed under the [MIT License](https://opensource.org/licenses/MIT), for anyone to access, use and share; using attribution "[OpenActive](https://www.openactive.io/)".


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.openactive.io/data-model/types/offeroverride.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
